Subject: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Aug 2019 17:48:14 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 14 Aug 2019 21:50:33 -0700
> Cc: [email-masked]
> 
> If I type
> 
> l M-x insert-char RET 336 RET
> 
> I get
> 
> l̶
> 
> which is displayed here as an l with a dash after it -- no overstrikes
> or anything.

You need to do that with a font that has glyphs both for l and for
u+0336.  Emacs doesn't compose characters if their glyphs don't come
from the same fonts, for obvious reasons.

> do I need to be in a particular language environment for the l and the
> dash to combine?

No, composition of Latin combining accents is turned on by default.